# ma97_info Struct Reference

`#include <hsl_ma97d.h>`

List of all members.

## Public Attributes
int | flag
int | flag68
int | flag77
int | matrix_dup
int | matrix_rank
int | matrix_outrange
int | matrix_missing_diag
int | maxdepth
int | maxfront
int | num_delay
long | num_factor
long | num_flops
int | num_neg
int | num_sup
int | num_two
int | ordering
int | stat
int | ispare [5]
ma97realtype_d_ | rspare [10]

## Detailed Description

Definition at line 66 of file hsl_ma97d.h.

## Member Data Documentation

int ma97_info::flag

Definition at line 67 of file hsl_ma97d.h.

int ma97_info::flag68

Definition at line 68 of file hsl_ma97d.h.

int ma97_info::flag77

Definition at line 69 of file hsl_ma97d.h.

int ma97_info::matrix_dup

Definition at line 70 of file hsl_ma97d.h.

int ma97_info::matrix_rank

Definition at line 71 of file hsl_ma97d.h.

int ma97_info::matrix_outrange

Definition at line 72 of file hsl_ma97d.h.

int ma97_info::matrix_missing_diag

Definition at line 73 of file hsl_ma97d.h.

int ma97_info::maxdepth

Definition at line 74 of file hsl_ma97d.h.

int ma97_info::maxfront

Definition at line 75 of file hsl_ma97d.h.

int ma97_info::num_delay

Definition at line 76 of file hsl_ma97d.h.

long ma97_info::num_factor

Definition at line 77 of file hsl_ma97d.h.

long ma97_info::num_flops

Definition at line 78 of file hsl_ma97d.h.

int ma97_info::num_neg

Definition at line 79 of file hsl_ma97d.h.

int ma97_info::num_sup

Definition at line 80 of file hsl_ma97d.h.

int ma97_info::num_two

Definition at line 81 of file hsl_ma97d.h.

int ma97_info::ordering

Definition at line 82 of file hsl_ma97d.h.

int ma97_info::stat

Definition at line 83 of file hsl_ma97d.h.

int ma97_info::ispare[5]

Definition at line 86 of file hsl_ma97d.h.

ma97realtype_d_ ma97_info::rspare[10]

Definition at line 86 of file hsl_ma97d.h.

The documentation for this struct was generated from the following file:

- src/Algorithm/LinearSolvers/hsl_ma97d.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines